﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddEditUser.ascx.cs" Inherits="UserControls_AddEditUser" %>
<%@ Register TagPrefix="telerik" Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" %>

<div class="addEditForm">
    <div class="addEditRowRightAligned">
        <asp:LinkButton ID="AddPersonLinkButton" Text="Add" OnClick="AddPersonLinkButton_Click" runat="server" />
    </div>
    <div class="addEditRowLeftAligned">
        <asp:DataGrid ID="CurrentPeopleRadGrid" AutoGenerateColumns="false" CssClass="dataGrid" runat="server">
            <Columns>
                <asp:BoundColumn HeaderText="First Name" DataField="FirstName" />
                <asp:BoundColumn HeaderText="Last Name" DataField="LastName" />
                <asp:BoundColumn HeaderText="Age" DataField="Age" />
            </Columns>
        </asp:DataGrid>
    </div>
    <div class="addEditHeightSpacer"></div>
    <div class="clearfix addEditRowLeftAligned" id="AddPersonDiv" runat="server" visible="false">
        <div class="addEditColumn">
            <div class="formLabel">
                First Name
            </div>
            <div>
                <asp:TextBox ID="FirstNameTextBox" CssClass="addEditTextField" runat="server" />
            </div>
        </div>
        <div class="addEditColumn">
            <div class="formLabel">
                Last Name
            </div>
            <div>
                <asp:TextBox ID="LastNameTextBox" CssClass="addEditTextField" runat="server" />
            </div>
        </div>
        <div class="addEditColumn">
            <div class="formLabel">
                Age
            </div>
            <div>
                <asp:TextBox ID="AgeTextBox" CssClass="addEditTextField" runat="server" />
            </div>
        </div>
        <div class="addEditRowRightAligned">
            <asp:Button ID="AddPersonButton" Text="Add Person" OnClick="AddPersonButton_Click" CssClass="addEditButton" runat="server" />
        </div>
    </div>
    <div class="clearfix addEditHeightSpacer"></div>
</div>